#!/usr/bin/python2

import gtk
import os
from dockbarx.applets import DockXApplet #, DockXAppletDialog 

class ShowDesktopApplet(DockXApplet):
    """Minimize/Restore all windows"""

    def __init__(self, dbx_dict):
        DockXApplet.__init__(self, dbx_dict)
        label = gtk.Label("[ X ]")
        label.set_use_markup(True)
        self.add(label)
        label.show()
        self.show()
        self.connect("clicked", self.on_clicked)

    def on_clicked(self, widget, event):
        if event.button == 1:
            os.system("/usr/share/dockbarx/applets/minimize.sh")
        elif event.button == 3:
            self.menu.popup(None, None, None, event.button, event.time)

def get_dbx_applet(dbx_dict):
    applet = ShowDesktopApplet(dbx_dict)
    return applet
